ros-kinetic-rosapi (0.11.13-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Dec 2020 05:00:00 -0000

ros-kinetic-rosapi (0.11.12-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Nov 2020 05:00:00 -0000

ros-kinetic-rosapi (0.11.11-1xenial) xenial; urgency=high

  * Evaluate filter() generator before returning in get_param_names() which is required when using python3. Fixes #527 <https://github.com/RobotWebTools/rosbridge_suite/issues/527>. (#540 <https://github.com/RobotWebTools/rosbridge_suite/issues/540>)
  * Contributors: Steve Golton

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Nov 2020 05:00:00 -0000

ros-kinetic-rosapi (0.11.10-1xenial) xenial; urgency=high

  * Fixed filter_globs for noetic (#506 <https://github.com/RobotWebTools/rosbridge_suite/issues/506>)
    Service calls with non empty requests (e.g. /rosapi/topics_for_type) were crashing due to filter's return type in python 3.
  * Contributors: foreignrobot

 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Sep 2020 04:00:00 -0000

ros-kinetic-rosapi (0.11.9-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 27 May 2020 04:00:00 -0000

ros-kinetic-rosapi (0.11.8-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 21 May 2020 04:00:00 -0000

ros-kinetic-rosapi (0.11.7-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 13 May 2020 04:00:00 -0000

ros-kinetic-rosapi (0.11.6-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2020 04:00:00 -0000

ros-kinetic-rosapi (0.11.5-1xenial) xenial; urgency=high

  * Python 3 updates/fixes (#460 <https://github.com/RobotWebTools/rosbridge_suite/issues/460>)
    * rosbridge_library, rosbridge_server: Update package format
    Add Python3 conditional dependencies where applicable.
    * rosbridge_library: Fix pngcompression for Python 3
    * rosapi: Use catkin_install_python for scripts
  * Contributors: Alexey Rogachevskiy

 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 Apr 2020 04:00:00 -0000

ros-kinetic-rosapi (0.11.4-1xenial) xenial; urgency=high

  * Add cbor-raw compression (#452 <https://github.com/RobotWebTools/rosbridge_suite/issues/452>)
    The CBOR compression is already a huge win over JSON or PNG encoding,
    but it’s still suboptimal in some situations. This PR adds support for
    getting messages in their raw binary (ROS-serialized) format. This has
    benefits in the following cases:
    - Your application already knows how to parse messages in bag files
    (e.g. using [rosbag.js](https://github.com/cruise-automation/rosbag.js),
    which means that now you can use consistent code paths for both bags
    and live messages.
    - You want to parse messages as late as possible, or in parallel, e.g.
    only in the thread or WebWorker that cares about the message. Delaying
    the parsing of the message means that moving or copying the message to
    the thread is cheaper when its in binary form, since no serialization
    between threads is necessary.
    - You only care about part of the message, and don't need to parse the
    rest of it.
    - You really care about performance; no conversion between the ROS
    binary format and CBOR is done in the rosbridge_sever.
  * Fix rosapi get_action_servers (#429 <https://github.com/RobotWebTools/rosbridge_suite/issues/429>)
    The currently used proxy.get_topics function does not exists and results in the following error: "AttributeError: 'module' object has no attribute 'get_topics'n"
    This change uses the existing get_topics_and_types method to get a list of topics.
  * Contributors: Jan Paul Posma, Jørgen Borgesen

 -- Russell Toris <rctoris@wpi.edu>  Thu, 20 Feb 2020 05:00:00 -0000

ros-kinetic-rosapi (0.11.3-1xenial) xenial; urgency=high

  * Travis CI: Look for Python syntax errors and undefined name (#420 <https://github.com/RobotWebTools/rosbridge_suite/issues/420>)
    * Travis CI: Look for Python syntax errors and undefined name
    _It would be prudent to start running the tests in both 2 and 3._  https://github.com/RobotWebTools/rosbridge_suite/issues/401#issuecomment-512069249
    * Add names to protect the guilty
    * Five jobs, not six
    * Identity is not the same thing as equality in Python
    * Flake8 tests now pass on Python 2
  * Contributors: cclauss

 -- Russell Toris <rctoris@wpi.edu>  Wed, 07 Aug 2019 04:00:00 -0000

ros-kinetic-rosapi (0.11.2-1xenial) xenial; urgency=high

  * constnames and constvalues in typedef (#412 <https://github.com/RobotWebTools/rosbridge_suite/issues/412>)
  * Contributors: Kad91

 -- Russell Toris <rctoris@wpi.edu>  Mon, 08 Jul 2019 04:00:00 -0000

ros-kinetic-rosapi (0.11.1-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 May 2019 04:00:00 -0000

ros-kinetic-rosapi (0.11.0-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 29 Mar 2019 04:00:00 -0000

ros-kinetic-rosapi (0.10.2-1xenial) xenial; urgency=high

  * Use Master.getTopicTypes() in /rosapi/topics to increase performance (#381 <https://github.com/RobotWebTools/rosbridge_suite/issues/381>)
  * Contributors: Affonso, Guilherme

 -- Russell Toris <rctoris@wpi.edu>  Mon, 04 Mar 2019 05:00:00 -0000

ros-kinetic-rosapi (0.10.1-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 16 Dec 2018 05:00:00 -0000

ros-kinetic-rosapi (0.10.0-1xenial) xenial; urgency=high

  * Drop use of ros Python module (#374 <https://github.com/RobotWebTools/rosbridge_suite/issues/374>)
  * Fixes passing of globs to proxy (#355 <https://github.com/RobotWebTools/rosbridge_suite/issues/355>)
    * Fixes handling and passing of globs to proxy
    * Removes some confusing imports
  * Fix a few problems (#350 <https://github.com/RobotWebTools/rosbridge_suite/issues/350>)
    * xrange is not available in Python3, range works for both Python versions
    * the variable v is undefined in search_param, comparing the implementation with the sibling functions I expect name to be the intended variable
    * The module udp_handler is using the Authentication service but wasn't importing the module
  * use package format 2, remove unnecessary dependencies (#348 <https://github.com/RobotWebTools/rosbridge_suite/issues/348>)
  * Contributors: Anwar, Dirk Thomas, Jochen Sprickerhof

 -- Russell Toris <rctoris@wpi.edu>  Fri, 14 Dec 2018 05:00:00 -0000

ros-kinetic-rosapi (0.9.0-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 09 Apr 2018 04:00:00 -0000

ros-kinetic-rosapi (0.8.6-1xenial) xenial; urgency=high

  * Fixed action_servers filter to allow more than one namespace (#305 <https://github.com/RobotWebTools/rosbridge_suite/issues/305>)
    * Modified action_servers filter to detect topics with more than one namespace
    * Fixed to return the full namespace
  * Contributors: milesial

 -- Russell Toris <rctoris@wpi.edu>  Fri, 08 Dec 2017 05:00:00 -0000

ros-kinetic-rosapi (0.8.5-1xenial) xenial; urgency=high

  * Add Python3 compatibility (#300 <https://github.com/RobotWebTools/rosbridge_suite/issues/300>)
    * First pass at Python 3 compatibility
    * message_conversion: Only call encode on a Python2 str or bytes type
    * protocol.py: Changes for dict in Python3. Compatible with Python 2 too.
    * More Python 3 fixes, all tests pass
    * Move definition of string_types to rosbridge_library.util
  * Contributors: Kartik Mohta

 -- Russell Toris <rctoris@wpi.edu>  Thu, 23 Nov 2017 05:00:00 -0000

ros-kinetic-rosapi (0.8.4-1xenial) xenial; urgency=high

  * Handles empty globes properly (#297 <https://github.com/RobotWebTools/rosbridge_suite/issues/297>)
    * Refactors get_globs function to a separate module
    * Refactors the filtering that uses the globs
    * Some linting
    * Handles topic types for empty globs
    * Refactors out an any_match function
    * Simplifies filter_action_servers
    * Imports socket for the errors
    * Uses import .glob_helper
  * Contributors: Anwar

 -- Russell Toris <rctoris@wpi.edu>  Mon, 16 Oct 2017 04:00:00 -0000

ros-kinetic-rosapi (0.8.3-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 11 Sep 2017 04:00:00 -0000

ros-kinetic-rosapi (0.8.2-1xenial) xenial; urgency=high

  * Removes array delimiters while parsing parameters (#292 <https://github.com/RobotWebTools/rosbridge_suite/issues/292>)
  * Contributors: Anwar

 -- Russell Toris <rctoris@wpi.edu>  Mon, 11 Sep 2017 04:00:00 -0000

ros-kinetic-rosapi (0.8.1-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 30 Aug 2017 04:00:00 -0000

ros-kinetic-rosapi (0.8.0-1xenial) xenial; urgency=high

  * fix delete_param in rosapi (#284 <https://github.com/RobotWebTools/rosbridge_suite/issues/284>)
  * Merge pull request #276 <https://github.com/RobotWebTools/rosbridge_suite/issues/276> from sevenbitbyte/DOCUMENT_GLOB
    Document glob
  * Update README.md
    Formatting and examples
  * Create README.md
  * Contributors: 7bit, Jihoon Lee

 -- Russell Toris <rctoris@wpi.edu>  Wed, 30 Aug 2017 04:00:00 -0000

ros-kinetic-rosapi (0.7.17-1xenial) xenial; urgency=high

  * Added bug fix in rosapi
  * no rospy needed, just for debug logging
  * new service: get actionlib servers
  * adjust log level for security globs
    Normal operation (i.e. no globs or successful verification of requests) is now silent, with illegal requests producing a warning.
  * correct default values for security globs
    also accept empty list as the default "do not check globs" value in addition to None.
    Finally, append rosapi service glob after processing command line input so it's not overwritten
  * Added services_glob to CallServices, added globs to rosbridge_tcp and rosbridge_udp, and other miscellanous fixes.
  * As per the suggestions of @T045T, fixed several typos, improved logging, and made some style fixes.
  * Fixed time object field definitions to match documentation.
  * Two minor fixes.
  * Added new parameters for topic and service security.
    Added 3 new parameters to rosapi and rosbridge_server which filter the
    topics, services, and parameters broadcast by the server to match an
    array of glob strings.
  * Contributors: Devon Ash, Eric, Marco Arruda, Nils Berg

 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Jan 2017 05:00:00 -0000

ros-kinetic-rosapi (0.7.16-1xenial) xenial; urgency=high

  * new srv: topics types and details
  * Contributors: Marco Arruda

 -- Russell Toris <rctoris@wpi.edu>  Mon, 15 Aug 2016 04:00:00 -0000

ros-kinetic-rosapi (0.7.15-1xenial) xenial; urgency=high

  * changelog updated
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 25 Apr 2016 04:00:00 -0000

ros-kinetic-rosapi (0.7.14-1xenial) xenial; urgency=high

  * Update proxy.py
    Fixes an issue when call the service "/rosapi/service_type"
  * Contributors: Robert Codd-Downey

 -- Russell Toris <rctoris@wpi.edu>  Thu, 11 Feb 2016 05:00:00 -0000

ros-kinetic-rosapi (0.7.13-1xenial) xenial; urgency=high

  * Fix catkin_lint issues
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Fri, 14 Aug 2015 04:00:00 -0000

ros-kinetic-rosapi (0.7.12-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 07 Apr 2015 04:00:00 -0000

ros-kinetic-rosapi (0.7.11-1xenial) xenial; urgency=high

  * rename rosapi script to rosapi_node to address #170 <https://github.com/RobotWebTools/rosbridge_suite/issues/170>
  * Contributors: Jihoon Lee

 -- Russell Toris <rctoris@wpi.edu>  Mon, 23 Mar 2015 04:00:00 -0000

ros-kinetic-rosapi (0.7.10-1xenial) xenial; urgency=high

  * Make get_topics() and get_topic_type() reference the full list of active topics.
  * Contributors: Justin Huang

 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Feb 2015 05:00:00 -0000

ros-kinetic-rosapi (0.7.9-1xenial) xenial; urgency=high

  * add findding service function as specific service type
  * Contributors: dwlee

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Feb 2015 05:00:00 -0000

ros-kinetic-rosapi (0.7.8-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 16 Jan 2015 05:00:00 -0000

ros-kinetic-rosapi (0.7.7-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 06 Jan 2015 05:00:00 -0000

ros-kinetic-rosapi (0.7.6-1xenial) xenial; urgency=high

  * 0.7.5
  * update changelog
  * 0.7.4
  * changelog updated
  * 0.7.3
  * changelog updated
  * 0.7.2
  * changelog updated
  * 0.7.1
  * update changelog
  * 0.7.0
  * changelog updated
  * Contributors: Jihoon Lee, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 26 Dec 2014 05:00:00 -0000

ros-kinetic-rosapi (0.7.5-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 26 Dec 2014 05:00:00 -0000

ros-kinetic-rosapi (0.7.4-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 16 Dec 2014 05:00:00 -0000

ros-kinetic-rosapi (0.7.3-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 15 Dec 2014 05:00:00 -0000

ros-kinetic-rosapi (0.7.2-1xenial) xenial; urgency=high

  * 0.7.1
  * update changelog
  * Contributors: Jihoon Lee

 -- Russell Toris <rctoris@wpi.edu>  Mon, 15 Dec 2014 05:00:00 -0000

ros-kinetic-rosapi (0.7.1-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 09 Dec 2014 05:00:00 -0000

ros-kinetic-rosapi (0.7.0-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 02 Dec 2014 05:00:00 -0000

ros-kinetic-rosapi (0.6.8-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 05 Nov 2014 05:00:00 -0000

ros-kinetic-rosapi (0.6.7-1xenial) xenial; urgency=high

  * updated package manifests
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Oct 2014 04:00:00 -0000

ros-kinetic-rosapi (0.6.6-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 21 Oct 2014 04:00:00 -0000

ros-kinetic-rosapi (0.6.5-1xenial) xenial; urgency=high

  * 0.6.4
  * update changelog
  * 0.6.3
  * update change log
  * Contributors: Jihoon Lee

 -- Russell Toris <rctoris@wpi.edu>  Tue, 14 Oct 2014 04:00:00 -0000

ros-kinetic-rosapi (0.6.4-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 Oct 2014 04:00:00 -0000

ros-kinetic-rosapi (0.6.3-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 07 Oct 2014 04:00:00 -0000

ros-kinetic-rosapi (0.6.2-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 06 Oct 2014 04:00:00 -0000

ros-kinetic-rosapi (0.6.1-1xenial) xenial; urgency=high

  * make rosapis use absolute namespace
  * Contributors: Jihoon Lee

 -- Russell Toris <rctoris@wpi.edu>  Mon, 01 Sep 2014 04:00:00 -0000

ros-kinetic-rosapi (0.6.0-1xenial) xenial; urgency=high

  * Ensure proper locking for Parameter Server access
  * Contributors: Lasse Rasinen

 -- Russell Toris <rctoris@wpi.edu>  Fri, 23 May 2014 04:00:00 -0000

ros-kinetic-rosapi (0.5.4-1xenial) xenial; urgency=high

  * add rosnode and rosgraph
  * Contributors: Jihoon Lee

 -- Russell Toris <rctoris@wpi.edu>  Thu, 17 Apr 2014 04:00:00 -0000

ros-kinetic-rosapi (0.5.3-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 28 Mar 2014 04:00:00 -0000

ros-kinetic-rosapi (0.5.2-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 14 Mar 2014 04:00:00 -0000

ros-kinetic-rosapi (0.5.1-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 31 Oct 2013 04:00:00 -0000

ros-kinetic-rosapi (0.5.0-1xenial) xenial; urgency=high

  * 0.5.0 preparation for hydro release
  * Removes trailing commas.
  * removing global bin installation in setup.py
  * Contributors: Brandon Alexander, Jihoon Lee

 -- Russell Toris <rctoris@wpi.edu>  Wed, 17 Jul 2013 04:00:00 -0000

ros-kinetic-rosapi (0.4.4-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 08 Apr 2013 04:00:00 -0000

ros-kinetic-rosapi (0.4.3-1xenial) xenial; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 03 Apr 2013 12:24:00 -0000

ros-kinetic-rosapi (0.4.2-1xenial) xenial; urgency=high

  * eclipse projects removed
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 03 Apr 2013 12:12:00 -0000

ros-kinetic-rosapi (0.4.1-1xenial) xenial; urgency=high

  * fixes import issue in rosapi
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 07 Mar 2013 05:00:00 -0000

ros-kinetic-rosapi (0.4.0-1xenial) xenial; urgency=high

  * Fixes ambiguous params class reference.
  * Uses only 1 .gitignore to avoid confusion.
  * Fixing rosapi's "Cannot include proxy..." errors.
  * Adds BSD license header to code files.
    See Issue #13 <https://github.com/RobotWebTools/rosbridge_suite/issues/13>.
  * rosbridge_server requires rosapi.
  * Adds message and service generation to rosapi.
  * Adding setup.py to rosapi.
  * Clarifies name of rosapi is rosapi.
  * Catkinizes rosapi.
  * Collapse directory structure.
  * Contributors: Austin Hendrix, Brandon Alexander

 -- Russell Toris <rctoris@wpi.edu>  Tue, 05 Mar 2013 05:00:00 -0000


